Subject: [rohc] TS encoding for RFC 3095

From: Jer-ming Lin <[email-masked]>
Date: Fri, 1 Oct 2010 16:34:24 +0800

Hi ROHCers,

  I have a questions about compressing TS(unscaled and scaled). Would
you please give me your advice and clarify me.

1) Does compressor use the transmitted unscaled TS to be its TS
reference when compressing scaled TS at the step 2 of RFC 4815's
4.4.3. Or compressor needs to re-construct the reference of scaled TS.

Thanks in advance,
Jer-ming Lin

2010/2/4 Jer-ming Lin <[email-masked]>:
> Dear Sir,
>
> Quoting Carl Knutsson <[email-masked]>:
>>>
>>> ..
>>> TS_STRIDE and the relationship of delta_TS. Is that right?
>>
>> No, the compressor must first establish the TS_STRIDE by sending it
>> as-is together with unscaled TS. From those two values, TS_SCALED and
>> TS_OFFSET can be derived and used for later for compression.
>>
>
>   After establishing the TS_STRIDE and TS_OFFSET, the compressor sends
> scaled TS bits or no TS bits if scaled TS has the relationship of
> "delta_TS=delta_SN*default-slope(TS)."
>
>   For performance issue, if the scaled TS(derived from unscaled
> TS/TS_STRIDE) also have the relationship of delta_TS in consecutive
> IR/IR-DYN/UOR-ext3 packets. Can the compressor send no-TS bits directly
> after the establishing packets? The RFC did not mention this. I think this
> can reduce the compressed header size since no-TS bits are sent.
>
>
> For example,
>
> SN,     TS, TS_STRIDE, scaled TS,  Type,  transmit TS bits,
>  1,  26189,       280,        93,    IR,                32
>  2,  26469,       280,        94,    IR,                32
>  3,  26749,       280,        95,    IR,                32
>  4,  27029,       280,        96,  UO-0,                 0
>
> The first, sencond, third construct the TS_STRIDE and the relationship of
> delta_TS. The forth cand send no-TS bits.
>
> Sincerely yours,
> Jer-ming
>
>
> ----------------------------------------------------------------
> This message was sent using IMP, the Internet Messaging Program.
>
>
> _______________________________________________
> Rohc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rohc
>